/// <reference path='./DlhSoft.ProjectData.GanttChart.HTML.Controls.d.ts'/>
var GanttChartView = DlhSoft.Controls.GanttChartView;

window.onload = function () {
    var ganttChartViewElement = document.getElementById("ganttChartView");
    var outputElement = document.getElementById("output");
    var addNewButtonElement = document.getElementById("addNewButton");

    var items = [
        { content: "Task 1", start: new Date(2013, 8 - 1, 22, 08), finish: new Date(2013, 8 - 1, 23, 12), completedFinish: new Date(2013, 8 - 1, 22, 12), assignmentsContent: "Resource 1" },
        { content: "Task 2", start: new Date(2013, 8 - 1, 23, 08), finish: new Date(2013, 8 - 1, 23, 16) }];
    items[1].predecessors = [{ item: items[0], dependencyType: "FS" }];

    var settings = {
        currentTime: new Date(2013, 8 - 1, 22),
        standardBarStyle: "fill: LightBlue; fill-opacity: 0.5; stroke: Blue; stroke-width: 0.65px",
        workingWeekFinish: 6,
        areTaskDependencyConstraintsEnabled: true
    };

    var ganttChartView = GanttChartView.initialize(ganttChartViewElement, items, settings);

    var updateProjectFinishOutput = function () {
        var projectFinish = ganttChartView.getProjectFinish();
        var projectFinishOutput = GanttChartView.getOutputDate(projectFinish);
        outputElement.innerText = "Project finishes on " + projectFinishOutput.toDateString() + ".";
    };
    updateProjectFinishOutput();
    settings.itemPropertyChangeHandler = function (item, propertyName, isDirect, isFinal) {
        if (propertyName == "finish")
            updateProjectFinishOutput();
    };

    addNewButtonElement.onclick = function (e) {
        ganttChartView.addItem({ content: "New task", start: new Date(2013, 8 - 1, 23, 08), finish: new Date(2013, 8 - 1, 23, 16) });
        updateProjectFinishOutput();
    };
};
//# sourceMappingURL=app.js.map
