/// <reference path='./DlhSoft.ProjectData.GanttChart.HTML.Controls.d.ts'/>
import GanttChartView = DlhSoft.Controls.GanttChartView;
import TaskItem = GanttChartView.Item;
import PredecessorItem = GanttChartView.PredecessorItem;

window.onload = () => {
    var ganttChartViewElement = document.getElementById("ganttChartView");
    var outputElement = document.getElementById("output");
    var addNewButtonElement = document.getElementById("addNewButton");

    var items = <TaskItem[]>[
        { content: "Task 1", start: new Date(2013, 8 - 1, 22, 08), finish: new Date(2013, 8 - 1, 23, 12), completedFinish: new Date(2013, 8 - 1, 22, 12), assignmentsContent: "Resource 1" },
        { content: "Task 2", start: new Date(2013, 8 - 1, 23, 08), finish: new Date(2013, 8 - 1, 23, 16) }];
    items[1].predecessors = <PredecessorItem[]>[{ item: items[0], dependencyType: "FS" }];

    var settings = <GanttChartView.Settings>{
        currentTime: new Date(2013, 8 - 1, 22),
        standardBarStyle: "fill: LightBlue; fill-opacity: 0.5; stroke: Blue; stroke-width: 0.65px",
        workingWeekFinish: 6,
        areTaskDependencyConstraintsEnabled: true
    };

    var ganttChartView = GanttChartView.initialize(ganttChartViewElement, items, settings);

    var updateProjectFinishOutput = function () {
        var projectFinish = ganttChartView.getProjectFinish(); // Get project finish as a UTC date and time value.
        var projectFinishOutput = GanttChartView.getOutputDate(projectFinish); // Prepare a local time zone output value.
        outputElement.innerText = "Project finishes on " + projectFinishOutput.toDateString() + ".";
    }
    updateProjectFinishOutput();
    settings.itemPropertyChangeHandler = function (item, propertyName, isDirect, isFinal) {
        if (propertyName == "finish")
            updateProjectFinishOutput();
    }

    addNewButtonElement.onclick = function (e) {
        ganttChartView.addItem(<TaskItem>
            { content: "New task", start: new Date(2013, 8 - 1, 23, 08), finish: new Date(2013, 8 - 1, 23, 16) });
        updateProjectFinishOutput();
    };
};
